;# $Id: fatal.pl,v 2.9.1.1 92/08/26 13:11:03 ram Exp $
;#
;#  Copyright (c) 1991, Raphael Manfredi
;#
;#  You may redistribute only under the terms of the GNU General Public
;#  Licence as specified in the README file that comes with dist.
;#
;# $Log:	fatal.pl,v $
;# Revision 2.9.1.1  92/08/26  13:11:03  ram
;# patch8: added emergency routine for signal handlers
;# 
;# Revision 2.9  92/07/14  16:49:55  ram
;# 3.0 beta baseline.
;# 
;#
# In case of fatal error, the program does not simply die
# but also records the failure in the log.
sub fatal {
	local($reason) = @_;			# Why did we get here ?
	&add_log("FAILED ($reason)") if $loglvl > 0;
	die "$prog_name: $reason\n";
}

# Emergency signal was caught
sub emergency {
	local($sig) = @_;			# First argument is signal name
	&fatal("trapped SIG$sig");
}

