;# $Id: makedir.pl,v 2.9 92/07/14 16:50:18 ram Exp $
;#
;#  Copyright (c) 1992, Raphael Manfredi
;#
;#  You may redistribute only under the terms of the GNU General Public
;#  Licence as specified in the README file that comes with dist.
;#
;# $Log:	makedir.pl,v $
;# Revision 2.9  92/07/14  16:50:18  ram
;# 3.0 beta baseline.
;# 
;# 
# Make directories for files
# E.g, for /usr/lib/perl/foo, it will check for all the
# directories /usr, /usr/lib, /usr/lib/perl and make
# them if they do not exist.
sub makedir {
	local($_) = shift(@_);			# The name of the directory to create
	local($dir) = $_;
	if (!-d && $_ ne '') {
		# Make dirname first
		do makedir($_) if s|(.*)/.*|\1|;
		if (! -d $dir) {
			mkdir($dir, 0700);
			do add_log("creating directory $dir") if $loglvl > 19;
		}
	}
}
	
