# The RECORD command
do '../pl/cmd.pl';
unlink "$user.1", "$user.2", "$user.3";

&add_header('X-Tag: record #1');
`rm -rf dbr` if -d 'dbr';
`$cmd`;
$? == 0 || print "1\n";
-f "$user.1" || print "2\n";	# Was saved, first time.
unlink "$user.1";

-d 'dbr' || print "3\n";		# Make sure history recording works
-f 'dbr/i/e' || print "4\n";	# Hashing done on domain name

`$cmd`;
$? == 0 || print "5\n";
-f "$user.1" && print "6\n";	# We rejected this time, in SEEN mode
-f "$user.2" || print "7\n";	# And saved it here
unlink "$user.2";

&replace_header('X-Tag: record #2');
`$cmd`;
$? == 0 || print "8\n";
-f "$user.1" && print "9\n";	# We restarted this time
-f "$user.3" || print "10\n";	# And caught that rule in RECORD mode
-f "$user" && print "11\n";		# Nothing here
unlink "$user.3";

&replace_header('X-Tag: record #3');
`$cmd`;
$? == 0 || print "12\n";
-f "$user.1" && print "13\n";	# We aborted
-f "$user" || print "14\n";		# Must be there (aborted, no match)
unlink "$user.1", "$user";

&replace_header('X-Tag: record #4');
`$cmd`;
$? == 0 || print "15\n";
-f "$user.1" && print "16\n";	# We rejected
-f "$user.2" || print "17\n";	# Must be there (saved in mode RECORD)
-f "$user" && print "18\n";

`rm -rf dbr` if -d 'dbr';
unlink "$user", "$user.1", "$user.2", "$user.3", 'mail';
print "0\n";
