# The SAVE command
do '../pl/cmd.pl';
$mbox = 'mbox';

&add_header('X-Tag: save #1');
`$cmd`;
$? == 0 || print "1\n";
-f "$mbox" || print "2\n";		# Mail saved here
-f "$user" && print "3\n";		# Must not exist (yet)

# When mailbox protected against writing...
unlink <emerg/*>;
$size = -s "$mbox";
chmod 0444, "$mbox";
`$cmd`;
$? == 0 || print "4\n";
-f "$mbox" || print "5\n";				# Must still be there
$size == -s "$mbox" || print "6\n";		# And not altered
@emerg = <emerg/*>;
@emerg == 1 || print "7\n";				# Emeregency as SAVE failed
-f "$user" || print "8\n";				# Not saved -> leave in mbox
-s "$user" == -s "$mbox" || print "9\n";

# There is no X-Filter mail in the emergency saving
`grep -v X-Filter: $mbox > ok`;
$? == 0 || print "10\n";
-s $emerg[0] eq -s 'ok' || print "11\n";	# Full mail saved, of course
unlink "$mbox", "$user";

# Make sure SAVE creates full path when needed
&replace_header('X-Tag: save #2');
`rm -rf path` if -d 'path';
`$cmd`;
$? == 0 || print "12\n";
-f 'path/another/third/mbox' || print "13\n";

`rm -rf path` if -d 'path';
unlink <emerg/*>;
unlink "$mbox", "$user", 'mail', 'ok';
print "0\n";
