/*

 #####     ##    #####    ####   ######  #####           #    #
 #    #   #  #   #    #  #       #       #    #          #    #
 #    #  #    #  #    #   ####   #####   #    #          ######
 #####   ######  #####        #  #       #####    ###    #    #
 #       #    #  #   #   #    #  #       #   #    ###    #    #
 #       #    #  #    #   ####   ######  #    #   ###    #    #

	Configuration variable parsing routines.
*/

/*
 * $Id: parser.h,v 2.9 92/07/14 16:48:39 ram Exp $
 *
 *  Copyright (c) 1992, Raphael Manfredi
 *
 *  You may redistribute only under the terms of the GNU General Public
 *  Licence as specified in the README file that comes with dist.
 *
 * $Log:	parser.h,v $
 * Revision 2.9  92/07/14  16:48:39  ram
 * 3.0 beta baseline.
 * 
 */

#ifndef _parser_h_
#define _parser_h_

extern struct htable symtab;		/* Symbol table */
extern void read_conf();			/* Read configuration file */
extern void set_env_vars();			/* Set correct environment variables */
extern char *homedir();				/* Location of the home directory */

#endif
