/*

  ####    #   #   ####   ######  #    #     #     #####   ####           #    #
 #         # #   #       #        #  #      #       #    #               #    #
  ####      #     ####   #####     ##       #       #     ####           ######
      #     #         #  #         ##       #       #         #   ###    #    #
 #    #     #    #    #  #        #  #      #       #    #    #   ###    #    #
  ####      #     ####   ######  #    #     #       #     ####    ###    #    #

	Standard exit codes for sendmail and friends.
	Original list maintained by Eric Allman <eric@berkeley.edu>.
*/

/*
 * $Id: sysexits.h,v 2.9 92/07/14 16:48:43 ram Exp $
 *
 *  Copyright (c) 1992, Raphael Manfredi
 *
 *  You may redistribute only under the terms of the GNU General Public
 *  Licence as specified in the README file that comes with dist.
 *
 * $Log:	sysexits.h,v $
 * Revision 2.9  92/07/14  16:48:43  ram
 * 3.0 beta baseline.
 * 
 */

#ifndef _sysexits_h_
#define _sysexits_h_

#define EX_OK			0
#define EX_USAGE		64
#define EX_UNAVAILABLE	69
#define EX_OSERR		71
#define EX_OSFILE		72
#define EX_CANTCREAT	73
#define EX_IOERR		74
#define EX_TEMPFAIL		75

#endif
