case $CONFIG in
'')
	if test ! -f config.sh; then
		ln ../config.sh . || \
		ln ../../config.sh . || \
		ln ../../../config.sh . || \
		(echo "Can't find config.sh."; exit 1)
	fi 2>/dev/null
	. config.sh
	;;
esac
case "$0" in
*/*) cd `expr X$0 : 'X\(.*\)/'` ;;
esac
echo "Extracting agent/mailhelp (with variable substitutions)"
$spitshell >mailhelp <<!GROK!THIS!
# feed this into perl
	eval "exec perl -S \$0 \$*"
		if \$running_under_some_shell;

# $Id: mailhelp.SH,v 2.9 92/07/14 16:48:54 ram Exp $
#
#  Copyright (c) 1991, 1992, Raphael Manfredi
#
#  You may redistribute only under the terms of the GNU General Public
#  Licence as specified in the README file that comes with dist.
#
# $Log:	mailhelp.SH,v $
# Revision 2.9  92/07/14  16:48:54  ram
# 3.0 beta baseline.
# 

\$mversion = '$VERSION';
\$patchlevel = '$PATCHLEVEL';
!GROK!THIS!

$spitshell >>mailhelp <<'!NO!SUBS!'

$prog_name = $0;				# Who I am
$prog_name =~ s|^.*/(.*)|$1|;	# Keep only base name

do read_config();	# First, read configuration file (in ~/.mailagent)

# take job number and command from environment
# (passed by mailagent)
$jobnum = $ENV{'jobnum'};
$fullcmd = $ENV{'fullcmd'};

$dest=shift;							# Who should the help be sent to
$dest = $ENV{'path'} if $dest eq '';	# If dest was ommitted

# A single '-' as first argument stands for return path
$dest = $ENV{'path'} if $dest eq '-';

open(HELP, "$cf'spool/agenthelp") || do fatal("no help file!\n");
open(MAILER, "|/usr/lib/sendmail -odq -t");
print MAILER
"To: $dest
Subject: How to use my mail agent
X-Mailer: mailagent [version $mversion PL$patchlevel]

";
while (<HELP>) {
	# Replace some tokens by parameters
	s/=DEST=/$dest/g;
	s/=MAXSIZE=/$cf'maxsize/g;
	print MAILER;
}
print MAILER
"
-- $prog_name speaking for $cf'user
";
close MAILER;
if ($?) {
	do add_log("ERROR couldn't send help to $dest") if $loglvl > 0;
} else {
	do add_log("SENT help to $dest") if $loglvl > 2;
}
close HELP;

!NO!SUBS!
$grep -v '^;#' pl/fatal.pl >>mailhelp
$grep -v '^;#' pl/add_log.pl >>mailhelp
$grep -v '^;#' pl/read_conf.pl >>mailhelp
chmod 755 mailhelp
$eunicefix mailhelp
