;# $Id: jobnum.pl,v 2.9.1.1 92/08/26 13:14:57 ram Exp $
;#
;#  Copyright (c) 1992, Raphael Manfredi
;#
;#  You may redistribute only under the terms of the GNU General Public
;#  Licence as specified in the README file that comes with dist.
;#
;# $Log:	jobnum.pl,v $
;# Revision 2.9.1.1  92/08/26  13:14:57  ram
;# patch8: created
;# 
;# 
;# Depends on the following external routines:
;#  checklock() to check for locks older than one hour
;#  acs_rqst() to get a lock on file
;#  free_file() to release lock on file
;#
# Computes a new job number
sub jobnum {
	local($job);						# Computed job number
	&checklock($cf'seqfile);			# Check for old lock
	if (0 != &acs_rqst($cf'seqfile)) {
		$job = "?";
	} else {
		local($njob);
		open(FILE, "$cf'seqfile");
		$njob = int(<FILE>);
		close FILE;
		$njob++;
		open(FILE, ">$cf'seqfile");
		print FILE "$njob\n";
		close FILE;
		$job = "$njob";
		&free_file("$cf'seqfile");
	}
	$job;		# Return job number to be used
}

