# Test PERL command
do '../pl/cmd.pl';
unlink 'perl.1', 'perl.2', 'never', 'always';

open(PERL, ">perl.1") || print "1\n";
print PERL <<'EOP';
&save('always') || &save('never');
&reject('-t');
&save('never');
EOP
close PERL;

open(PERL, ">perl.2") || print "2\n";
print PERL <<'EOP';
unlink 'always' if -d '../out';
&exit(0) if $ARGV[1] != 'arg 1' || $ARGV[2] != 'arg 2';
&perl('perl.1');		# Recursion
&save('never');
EOP
close PERL;

&add_header('X-Tag: perl');
`$cmd`;
$? == 0 || print "3\n";
-f "$user" && print "4\n";
-f 'never' && print "5\n";
&get_log(6, 'always');
&check_log('^To: ram', 7) == 2 || print "8\n";

unlink 'mail', 'perl.1', 'perl.2', 'never', 'always';
print "0\n";
