# Make sure default actions apply correctly
do '../pl/filter.pl';

&add_header('X-Tag: default #1');
`$cmd`;
$? == 0 || print "1\n";
-f "$user" && print "2\n";		# Must have been deleted

&replace_header('X-Tag: default #2');
`$cmd`;
$? == 0 || print "3\n";
-f "$user" || print "4\n";		# A NOP -> default action leave
&get_mbox(5);

&replace_header('X-Tag: never matched');
`$cmd`;
$? == 0 || print "6\n";
-f "$user" || print "7\n";		# No match -> default action
&get_mbox(8);
$mbox2 eq $mbox1 || print "9\n";

&replace_header('X-Tag: unknonw');
`$cmd`;
$? == 0 || print "10\n";
-f "$user" || print "11\n";		# Unknown action without previous saving
&get_mbox(12);
$mbox2 eq $mbox1 || print "13\n";
unlink 'mail';
print "0\n";

sub get_mbox {
	local($num);
	undef $/;
	open(MBOX, "$user");
	eval "$mbox$num = <MBOX>";
	close MBOX;
	$/ = "\n";
	unlink "$user";
}

