# -d: dump filter rules (special)
do '../pl/init.pl';
do '../pl/logfile.pl';
chdir '../out';
unlink '.rules';
# With no rule file, verify it dumps the default rules
$output = `$mailagent -d`;
$? == 0 || print "1\n";
@log = split(/\n/, $output);	# want to use check_log()
&check_log('# Rule 1', 2);
&check_log('PROCESS', 3);
# With an empty rule file, we must also have the default rules
open(RULES, ">.rules");
close RULES;
$output_bis = `$mailagent -d`;
$? == 0 || print "4\n";
$output_bis eq $output || print "5\n";
# Now check with some rules
`cp ../rules .rules`;
$output = `$mailagent -d`;
$? == 0 || print "6\n";
@log = split(/\n/, $output);	# want to use check_log()
&check_log('# Rule 1', 7);
&check_log('DELETE', 8);
print "0\n";
